.drawflow_content_node{
    min-width: 300px !important;
}

.node-custom{
    border-width: 2px;
    border-style: solid;
}
/*
.node-custom:has([value="new"]:checked) {
    box-shadow: 
        inset 10px 0 0 -2px rgb(0, 89, 255),  
        inset -10px 0 0 -2px rgb(0, 89, 255);
}
.node-custom:has([value="process"]:checked) {
    box-shadow: 
        inset 10px 0 0 -2px rgb(255, 255, 0),  
        inset -10px 0 0 -2px rgb(255, 255, 0); 
}
.node-custom:has([value="done"]:checked) {
    box-shadow: 
        inset 10px 0 0 -2px rgb(0, 255, 0),  
        inset -10px 0 0 -2px rgb(0, 255, 0); 
}
*/

.node-header {
    padding: 8px 12px 0;
    background: rgba(0, 0, 0, 0.1);
    flex-direction: row;
    align-content: flex-start;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
}
.node-header .node-type-text { 
    font-size: 9px; 
    font-weight: bold; 
    opacity: 0.5; 
    text-transform: uppercase; 
}
.node-header .node-delete-btn { 
    background: none; 
    width:20px;
    height: 20px;
    border: none; 
    color: #ff5555; 
    cursor: pointer; 
    font-size: 12px; 
}
.node-header .node-delete-btn:hover { 
    background-color: red;
    color: white;
    border-radius: 20px;
}
/* Статус в заголовке */
.node-header .node-status-select {
    background: transparent;
    border: none;
    color: #aaa;
    font-size: 12px;
    outline: none;
    cursor: pointer;
}



.node-body{
    padding: 10px 12px 12px;
}
.node-header .node-title-text { 
    display: block; 
    font-size: 14px; 
    margin-bottom: 8px; 
    /*mix-blend-mode: difference; /* Магия инверсии */
}
.node-body .node-flex-row{
    display: flex;
    gap: 4px;
    font-size: 12px;
    margin-bottom: 6px;
    min-height: 30px;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: flex-start;
}
.node-body .node-flex-col{
    display: flex;
    gap: 4px;
    font-size: 12px;
    margin-bottom: 6px;
    min-height: 30px;
    justify-content: center;
    flex-wrap: nowrap;
    align-items: center;
}
.node-body .node-flex-row label{
    /*width: 140px;*/
    margin-left: 2px;
    white-space: nowrap; /* Запрещает перенос текста на новую строку */
}
.node-body .node-flex-col label{
    width: 100px;
    flex-shrink: 1;
    white-space: nowrap; /* Запрещает перенос текста на новую строку */
}
.node-body label{
    font-size: 12px;
}
.node-body .node-input { 
    width: 100%; 
    background: #1a1a1a; 
    border: 1px solid #444; 
    color: #fff; 
    padding: 6px; 
    border-radius: 4px; 
    font-size: 12px; 
    flex-grow: 1;
}
.node-body .node-select{
    background: #2a2a2a;
    color: white;
    font-size: 12px;
    border-radius: 4px;
    border: 1px solid #444;
    width: 100%;
    height: 28px;
}
.node-body .node-textarea{
    width: 100%;
    height: 60px;
    background: #111;
    border: 1px solid #333;
    color: #ccc;
    font-size: 11px;
    padding: 5px;
    border-radius: 4px;
    resize: vertical;
}



/* Базовый стиль кнопки */
.btn-toggle-details {
    background: none;
    border: none;
    color: #a7a7a7;
    cursor: pointer;
    font-size: 10px;
    padding: 0;
}
/* Состояния текста кнопки через псевдоэлемент */
.btn-toggle-details::before {
    content: "+ Add Description";
}
/* Если описание развернуто */
.details-wrapper.is-visible {
    display: block !important;
}
.details-wrapper.is-visible ~ .node-footer-actions .btn-toggle-details::before {
    content: "🔼 Hide Description";
}
/* Если есть контент */
.btn-toggle-details.has-content {
    color: #f6ff00 !important;
}
.btn-toggle-details.has-content::before {
    content: "📝 Show Description";
}
/* Если развернуто И есть контент */
.details-wrapper.is-visible ~ .node-footer-actions .btn-toggle-details.has-content::before {
    content: "🔼 Hide Description";
}




.node-footer{
    display: flex;
    flex-direction: row;
    gap: 8px;
    font-size: 10px;
    font-weight: bold;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    padding: 0 10px 4px 10px;
    justify-content: space-between;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
}


.node-footer .node-label.node-success{ color: #27ae60; }
.drawflow-node .outputs .output:nth-child(1) { background: #27ae60; }
.node-footer .node-label.node-error{ color: #e74c3c; }
.drawflow-node .outputs .output:nth-child(2) { background: #e74c3c; }
.node-footer .node-label.node-info{ color: #3498db; }
.drawflow-node .outputs .output:nth-child(3) { background: #3498db; }
.node-footer .node-label.node-text{ color: #ffffff; }
.drawflow-node .outputs .output:nth-child(4) { background: #ffffff; }





.node-subflow{
    background: repeating-linear-gradient(
      -45deg,      /* Угол наклона */
      #000000,        /* Черный цвет */
      #000000 10px,   /* Черная полоса толщиной 10px */
      #8c6900 10px, /* Желтый цвет (начало) */
      #8c6900 20px  /* Желтая полоса толщиной 10px (конец) */
    ) !important;
}
.node-ws {
    border-left: 5px solid #3498db !important;
}

.node-connector-out, 
.node-connector-in {
    display: flex;
    background: repeating-linear-gradient(
      -45deg,      /* Угол наклона */
      #000000,        /* Черный цвет */
      #000000 10px,   /* Черная полоса толщиной 10px */
      #17008c 10px, /* Желтый цвет (начало) */
      #17008c 20px  /* Желтая полоса толщиной 10px (конец) */
    ) !important;
    border: 2px dashed #607d8b !important;
    box-shadow: none !important;
    padding: 10px;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: space-evenly;
    gap: 10px;
}
.node-connector-out .node-input,
.node-connector-in .node-input{
    background: #1a1a1a;
    border: 1px solid #444;
    color: #fff;
    padding: 6px;
    border-radius: 4px;
    font-size: 12px;
    flex-grow: 1;
}